// 运行时配置

// 全局初始化数据配置，用于 Layout 用户信息和权限初始化
// 更多信息见文档：https://next.umijs.org/docs/api/runtime-config#getinitialstate
import Settings from '../config/defaultSettings.js';
import { Input, Space, Button } from 'antd';
import {
  MenuFoldOutlined,
  SearchOutlined,
  MenuUnfoldOutlined,
} from '@ant-design/icons';

import { RuntimeAntdConfig } from 'umi';
import { theme } from 'antd';

export const antd = (memo) => {
  memo.theme ||= {};
  memo.theme.algorithm = theme.darkAlgorithm;
  return memo;
};

export async function getInitialState() {
  return {
    name: '@umijs/max',
    collapsed: false,
  };
}
// const filterByMenuData = (data, keyWord) =>
//   data
//     .map((item) => {
//       if (
//         (item.name && item.name.includes(keyWord)) ||
//         filterByMenuData(item.children || [], keyWord).length > 0
//       ) {
//         return Object.assign(Object.assign({}, item), {
//           children: filterByMenuData(item.children || [], keyWord),
//         });
//       }
//       return undefined;
//     })
//     .filter((item) => item);
// export const layout = ({ initialState, setInitialState }) => {
//   return {
//     logo: Settings?.logo,
//     collapsed: initialState?.collapsed,
//     menuProps: {},
//     fixedHeader: true,
//     layout: 'mix',
//     siderMenuType: 'group',
//     onCollapse: (collapsed) => {
//       setInitialState((s) => ({
//         ...s,
//         collapsed,
//       }));
//     },
//     onPageChange: () => {
//       setInitialState((s) => ({
//         ...s,
//         collapsed: true,
//       }));
//     },
//     menu: {
//       locale: false,
//       maskClosable: true,
//     },
//     collapsedButtonRender: false,
//     menuExtraRender: (ps) => (
//       <div className="center inmargin">
//         {ps?.collapsed ? (
//           <Button
//             style={{ width: 32, height: 32, flexShrink: 0 }}
//             onClick={() => {
//               setInitialState((s) => ({
//                 ...s,
//                 collapsed: false,
//               }));
//             }}
//             icon={<MenuUnfoldOutlined />}
//           />
//         ) : (
//           <>
//             <Input
//               allowClear
//               style={{
//                 borderRadius: 4,
//                 width: '100%',
//                 boxShadow: '0 0 12px #d0d0d0',
//               }}
//               prefix={
//                 <SearchOutlined
//                   style={{
//                     color: 'rgba(0, 0, 0, 0.15)',
//                   }}
//                 />
//               }
//               placeholder="搜索方案"
//               bordered={false}
//               onChange={(e) => {
//                 setInitialState((s) => ({
//                   ...s,
//                   keyWord: e.target.value,
//                 }));
//               }}
//             />
//             <Button
//               style={{ width: 32, height: 32, marginLeft: 8, flexShrink: 0 }}
//               onClick={() => {
//                 setInitialState((s) => ({
//                   ...s,
//                   collapsed: true,
//                 }));
//               }}
//               icon={<MenuFoldOutlined />}
//               shape="default"
//             />
//           </>
//         )}
//       </div>
//     ),
//     postMenuData: (menus) => {
//       return filterByMenuData(menus || [], initialState?.keyWord ?? '');
//     },
//   };
// };
